/* INPUT AND LABLE ANIMATION STYLE */

.omf-text-field {
    position: relative;
    width: 100%;
    /*margin-bottom: 12px;*/
}

.omf-group-field.two, .omf-group-field.three {
    flex-direction: row;
    align-items: center;
}

.omf-group-field.two .omf-text-field {
    width: 49%;
}

.omf-group-field.three .omf-text-field {
    width: 33%;
}

.omf-floating-label {
    position: absolute;
    top: 16px;
    left: 10px;
    transition: transform 0.3s ease-in-out, font-size 0.3s ease-in-out, visibility 0.3s ease-in-out;
    padding: 0px 6px;
    top: 19px;
    padding-left: 0;
    left: 16px;
    color: #afafaf;
    margin: 0;
    font-size: 1.15em;
    color: var(--text-grey);
    z-index: 2;
}

.omf-text-field input, .omf-group-field input, select {
    transition: 0.4s ease all;
    width: 100%;
    font-size: 0.9rem;
    /*background: none;*/
    outline: 0;
    /*margin: 0 0 23px;*/
    padding-left: 5px;
    box-sizing: border-box;
    z-index: 1;
    position: relative;
}

.omf-floating-label select{
  z-index: 5;
}
  
.omf-text-field input:focus {
  -webkit-box-shadow: none;
          box-shadow: none;
  outline: none;
  background-position: 0 0;
}

.animate-label {
    top: 16px;
    z-index: 10;
}

.animate-label {
  font-size: 0.8em;
  -webkit-transform: translate(-10px, -32px);
  transform: translate(-10px, -32px);
  visibility: visible !important;
  opacity: 1;
  /*text-transform: uppercase;*/
  color: #b3b3b3;
}

#address-field, .omf-group-field {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.login action-btn{
      cursor: pointer;
      padding: 10px 15px;
      font-weight: 500;
      text-transform: uppercase;
      display: inline-flex;
      border: 2px solid #000;
      user-select: none;
      outline: none;
      background-color: transparent;
      font-size: 0.85em;
      line-height: initial;
      align-items: center;
      justify-content: center;
      white-space: nowrap;
}

#contact-us-form .omf-group-field.two input { width: 49%; }

#signup, #login {
    margin-top: 15px;
}

#register-form {
    margin: 0;
}

.form-wrapper {
      background: #FFFFFF;
    max-width: 480px;
    padding: 45px;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
}

.forms input, .forms select {
    outline: 0;
    width: 100%;
    border: 0;
    margin: 0 0 15px;
    padding: 8px 12px;
    box-sizing: border-box;
    background: none;
    height: 46px;
    font-size: 1em;
    border: 1px solid var(--primary-color);
    border-radius: 4px;
    background-color: #fff !important;
}

/* Chrome, Edge, Safari */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus {
    box-shadow: 0 0 0 1000px transparent inset !important;
    -webkit-box-shadow: 0 0 0 1000px transparent inset !important;
    background-color: transparent !important;
    transition: background-color 9999s ease-in-out 0s; /* keeps transparent */
}

/* Firefox */
input:-moz-autofill {
    box-shadow: 0 0 0 1000px transparent inset !important;
    background-color: transparent !important;
}


.action-btn{
    cursor: pointer;
    padding: 10px 15px;
    font-weight: 500;
    text-transform: uppercase;
    display: inline-flex;
    border: 2px solid #000;
    user-select: none;
    outline: none;
    background-color: transparent;
    font-size: 0.85em;
    line-height: initial;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
}

.hide {
  display: none;
  transition: all 1s ease;
}

#contact-info-form h4 {
    margin-bottom: 15px;
    border-bottom: 2px solid #2e2e2e;
}

.progress-container, .progress-container-overlay {
  position: absolute;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 0;
  left: 0;
}

.progress-container-overlay {
  background-color: #cacaca8a;
  z-index: 10;
}

.progress-container {
  z-index: 100;
}

.progress-container .fa {
  font-size: 4.5em;
  color: #989898;
}

input.otp-verify {
  width: 10%;
  border: 1px solid;
  margin: 0;
  padding: 10px;
}

.otp button {
  width: 10%;
  border-radius: 3px;
  padding: 11px 25px;
  border: 2px solid #8bc34a;
  background-color: #8bc34a;
  margin-left: 7px;
}

.omf-text-field select {
  font-size: 19px;
  position: relative;
}


#contact-info-form{

  padding: 20px 16px !important;

  .omf-text-field {
      padding: 3px 0px;
  }

  .omf-group .omf-group-field:last-child .omf-text-field:last-child input{
    margin-bottom: 0;
  }

  .omf-group {
      margin-bottom: 16px;
  }

  .omf-floating-label{
    padding-left: 0 !important;
    left: 10px;
  }


}